CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
booster::nowide::basic_filebuf< char > Class Template Reference

`#include <booster/booster/nowide/fstream.h>`

Inheritance diagram for booster::nowide::basic_filebuf< char >:

## Public Member Functions
basic_filebuf * | open (char const *s, std::ios_base::openmode mode)
basic_filebuf * | close ()
bool | is_open () const
Public Member Functions inherited from booster::streambuf
| streambuf ()
void | device (std::auto_ptr< io_device > d)
void | device (io_device &d)
void | reset_device ()
io_device & | device ()
void | set_buffer_size (size_t n)

## Additional Inherited Members
Protected Member Functions inherited from booster::streambuf
virtual std::streampos | seekoff (std::streamoff off, std::ios_base::seekdir way, std::ios_base::openmode m=std::ios_base::in|std::ios_base::out)
virtual std::streampos | seekpos (std::streampos pos, std::ios_base::openmode m=std::ios_base::in|std::ios_base::out)
virtual int | underflow ()
virtual int | pbackfail (int c=EOF)
virtual int | overflow (int c=EOF)
virtual int | sync ()

## Detailed Description

### template<>
class booster::nowide::basic_filebuf< char >

Same as std::basic_filebuf<char> but accepts UTF-8 strings under Windows

The documentation for this class was generated from the following file:

- booster/nowide/fstream.h